SDL_GPUTextureRegion Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUTexture * | texture
Uint32 | mip_level
Uint32 | layer
Uint32 | x
Uint32 | y
Uint32 | z
Uint32 | w
Uint32 | h
Uint32 | d

## Detailed Description

A structure specifying a region of a texture.

Used when transferring data to or from a texture.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_UploadToGPUTexture
  SDL_DownloadFromGPUTexture
  SDL_CreateGPUTexture

Definition at line 1372 of file SDL_gpu.h.

## Field Documentation

## d

Uint32 SDL_GPUTextureRegion::d

The depth of the region.

Definition at line 1382 of file SDL_gpu.h.

## h

Uint32 SDL_GPUTextureRegion::h

The height of the region.

Definition at line 1381 of file SDL_gpu.h.

## layer

Uint32 SDL_GPUTextureRegion::layer

The layer index to transfer.

Definition at line 1376 of file SDL_gpu.h.

## mip_level

Uint32 SDL_GPUTextureRegion::mip_level

The mip level index to transfer.

Definition at line 1375 of file SDL_gpu.h.

## texture

SDL_GPUTexture* SDL_GPUTextureRegion::texture

The texture used in the copy operation.

Definition at line 1374 of file SDL_gpu.h.

## w

Uint32 SDL_GPUTextureRegion::w

The width of the region.

Definition at line 1380 of file SDL_gpu.h.

## x

Uint32 SDL_GPUTextureRegion::x

The left offset of the region.

Definition at line 1377 of file SDL_gpu.h.

## y

Uint32 SDL_GPUTextureRegion::y

The top offset of the region.

Definition at line 1378 of file SDL_gpu.h.

## z

Uint32 SDL_GPUTextureRegion::z

The front offset of the region.

Definition at line 1379 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h